Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

  1. #1
    Join Date
    Mar 2007
    Beans
    41

    [SOLVED] "unsupported WMI interface, unable to load" acer-wmi MALFUNCTION

    Hi. I have an Acer Travelmate 290, and I have had previous Ubuntu releases installed without any problem -- as far as 8.04 as I seem to recall.

    Now I'm trying to do a fress install of (L)ubuntu 10.04 and I can't even start the installation because of:

    "no or unsupported wmi interface, acer-wmi".

    I don't understand what this is, I've googled a bit and all I found was solutions for people who were upgrading from earlier versions, not installing from scratch.

    So what should I do? It seems really awkward for a new version to break installation on some systems.

    Thank you.

    EDIT: The problem has been reduced to a malfunction (I can't play any video, for example). See posts below.
    Last edited by bruno321; May 9th, 2010 at 05:09 PM.

  2. #2
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    Bump-

  3. #3
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    This is still happening

  4. #4
    Join Date
    May 2007
    Beans
    7

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    Same here. Just upgraded to 10.04 on my Travelmate. The install seemed to go smoothly but on reboot, it kicked out the 'no or unsupported wmi interface' error then just hangs on a blank screen.

    Any help?

  5. #5
    Join Date
    May 2007
    Beans
    7

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi


  6. #6
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    That solution applies to the case when you have upgraded to 10.04 from an earlier version, which is not my case because I'm doing a clean installation!

    Any ideas? Also, installing 9.10 and upgrading is not an option for two reasons 1) that's not a clean way to set up a healthy system 2) I'm installing Lubuntu, and there's no previous version.

  7. #7
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    Well, I did some progress.

    I've managed to install the OS. When the CD boots, I pressed F4 and chose "safe graphics" mode. Then I was able to install flawlessly.

    But the system wouldn't boot because of the same error. Then I applied the method post #5 is linking to and that worked perfectly.
    Last edited by bruno321; May 6th, 2010 at 12:49 AM.

  8. #8
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    Not so perfectly.

    System boots fine, but I can't play any video (I've tried with mplayer and with VLC, and X when the video is going to play).

    So I guess that KMS thing is not a solution but only a workaround.

  9. #9
    Join Date
    Mar 2007
    Beans
    41

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    I've done the VideoRam suggestion which was supposed to solve the issue but it does nothing. Xorg's log reads:

    (WW) intel(0): VideoRam configuration found, which is no longer recommended.
    (II) intel(0): Continuing with default 0kB VideoRam instead of 130560 kB.
    (II) intel(0): [DRI2] Setup complete
    (**) intel(0): Kernel mode setting active, disabling FBC.
    (**) intel(0): Framebuffer compression disabled
    (**) intel(0): Tiling enabled
    (**) intel(0): SwapBuffers wait enabled
    (**) intel(0): VideoRam: 131072 KB

    so it serves no purpose to do what is suggested. Also, the UXA option is useless, because

    (WW) intel(0): Option "AccelMethod" is not used.

    Here's the output of lspci -vv:
    00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

    Subsystem: Acer Incorporated [ALI] Device 003d
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx- Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+ Latency: 0 Interrupt: pin A routed to IRQ 10
    Region 0: Memory at b0000000 (32-bit, prefetchable) [size=128M]
    Region 1: Memory at f0000000 (32-bit, non-prefetchable) [size=512K]
    Region 2: I/O ports at e000 [size=8]

    Capabilities: <access denied>
    Kernel driver in use: i915
    Kernel modules: i915


    I insist: Workaround A lets me use the system but I can't play any video because X crashes.

  10. #10
    Join Date
    Dec 2007
    Beans
    79

    Re: Can't install 10.04 "unsupported WMI interface, unable to load" acer-wmi

    I had exactly the same problem on exactly the same hardware. I was upgrading from 9.10, though.

    I followed riles32807's suggestion, and it worked. But when trying to play videos, I got the same problem as you.

    I will open a separate request. It looks like a different problem to me. I will report back here when I get a solution.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •